Fiskil Docs

Get service points

Returns detailed information about service points owned by the end user that has authorised the current session

GET
/v1/energy/service-points

Returns detailed information about service points owned by the end user that has authorised the current session

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

When the page[before] is specified, backwards pagination is achieved

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/energy/service-points?end_user_id=string"
{  "service_points": [    {      "arrangement_id": "fc2afe66-44bc-4c5c-9427-20fa1cf40812",      "consumer_profile": {        "classification": "RESIDENTIAL",        "threshold": "LOW"      },      "distribution_loss_factor": {        "code": "HSTL",        "description": "Subtransmission network",        "loss_value": "1.0116"      },      "fiskil_id": "energy_sp_abcdef1234",      "institution_id": "140",      "is_generator": false,      "jurisdiction_code": "NEM",      "last_consumer_change_date": "2024-09-01",      "last_update_date_time": "2024-09-10T14:00:00+10:00",      "location": {        "address_u_type": "simple",        "paf": {          "building_name_1": "Castle",          "building_name_2": "string",          "dpid": "34567890",          "flat_unit_number": "12B",          "flat_unit_type": "U",          "floor_level_number": "7",          "floor_level_type": "FL",          "locality_name": "SYDNEY",          "lot_number": "42",          "postal_delivery_number": 2,          "postal_delivery_number_prefix": "N",          "postal_delivery_number_suffix": "A",          "postal_delivery_type": "PO BOX",          "postcode": "2000",          "state": "NSW",          "street_name": "WALLABY",          "street_suffix": "S",          "street_type": "WAY",          "thoroughfare_number1": 40,          "thoroughfare_number1_suffix": "A",          "thoroughfare_number2": 44,          "thoroughfare_number2_suffix": "A"        },        "simple": {          "address_line1": "42 Wallaby Way",          "address_line2": "string",          "address_line3": "string",          "city": "SYDNEY",          "country": "AUS",          "mailing_name": "Shiny Dental",          "postcode": "2000",          "state": "NSW"        }      },      "meters": [        {          "meter_id": "ERFC1239302",          "registers": [            {              "averaged_daily_load": 18.32,              "consumption_type": "CUMULATIVE",              "controlled_load": true,              "multiplier": 1.8,              "network_tariff_code": "NTC100",              "register_consumption_type": "ACTIVE",              "register_id": "S1",              "register_suffix": "S1",              "time_of_day": "CONTROLLED",              "unit_of_measure": "KWH"            }          ],          "specifications": {            "installation_type": "BASIC",            "manufacturer": "Metering Company",            "model": "MeasureTec",            "next_scheduled_read_date": "2024-12-05",            "read_type": "MV3",            "status": "CURRENT"          }        }      ],      "national_metering_id": "411102394",      "related_participants": [        {          "party": "ACME CO",          "role": "FRMP"        }      ],      "service_point_classification": "SMALL",      "service_point_id": "dff1f2a2-541e-4e8e-a9ef-070dc267a8ff",      "service_point_status": "ACTIVE",      "valid_from_date": "2024-09-01"    }  ],  "links": {    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"  }}
{  "id": "string",  "message": "string",  "name": "string"}
{  "id": "string",  "message": "string",  "name": "string"}